
public class Box extends Thing {
	private Thing[] contents;
	private int noofThings = 0;
	
	public Box(double weight, int size) {
		super(weight);
		contents = new Thing[size];
	}

	public boolean insert(Thing t) {
		if (noofThings == contents.length) {
			return false;
		}
		contents[noofThings++] = t;
		return true;
	}
	
	public int noofThings() {
		return noofThings;
	}
	
	public Thing get(int i) {
		if (i < 0 || i >= noofThings) {
			throw new IndexOutOfBoundsException();
		}
		return contents[i];
	}
	
	@Override
	public double getWeight() {
		double w = weight;
		for (int i = 0; i < noofThings; i++) {
			w += contents[i].getWeight();
		}
		return w;
	}
}
