import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;

public class MyProportionModel implements ProportionModel {

	private static final long serialVersionUID = 1L;

    private final PropertyChangeSupport pcs
    	= new PropertyChangeSupport(this);

	@Override
	public void addPropertyChangeListener(PropertyChangeListener l) {
		pcs.addPropertyChangeListener(l);
	}

	@Override
	public void removePropertyChangeListener(PropertyChangeListener l) {
		pcs.removePropertyChangeListener(l);
	}

	private double proportion = 0.0;  // between 0.0 and 1.0
	
	public double getProportion() {
		return proportion;
	}

	public void setProportion(double prop) {
		if (prop < 0.0) prop = 0.0;
		if (prop > 1.0) prop = 1.0;
		double oldProp = proportion;
		proportion = prop;
		pcs.firePropertyChange("proportion", oldProp, proportion);
	}

}
